Skip to main content
PUT
Update an event communication

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

id
integer
required

Journey ID in the authenticated organization.

Example:

42

Body

application/json
type
string

Type.

Maximum string length: 80
Example:

"Example"

trigger
string | null

Trigger.

Maximum string length: 80
Example:

"Example"

channel
enum<string>

Channel.

Available options:
email,
sms,
task
Example:

"email"

status
enum<string>

Status.

Available options:
draft,
scheduled,
sent,
paused
Example:

"draft"

segment
string | null

Segment.

Maximum string length: 120
Example:

"Example"

subject
string | null

Subject.

Maximum string length: 255
Example:

"Example"

body
string | null

Body.

Example:

"Example"

send_at
string<date-time> | null

Send at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

sent_at
string<date-time> | null

Sent at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

metadata
object | null

Metadata.

schedule

Closed instant/relative intent; a supplied legacy send_at must match the resolved instant.

Response

Update an event communication completed.

data
object